<?php

include 'db.php';

if (! isset($_GET['id']) || (string)(int)($_GET['id']) != $_GET['id']) {
    echo "Niepoprawne dane wejściowe.";
    exit;
}

$query = sprintf('select * from osoby where id = %d', $_GET['id']);

$sth = $db->query($query);
$osoba = $sth->fetch(PDO::FETCH_ASSOC);

if (empty($osoba)) {
    echo "Brak danych.";
    exit;
}

?>

<html>
  <head>
    <title>Edycja</title>
    <meta charset="utf-8">
  </head>
  <body>

  <form method="post" action="aktualizuj-db.php">
    <input type="hidden" name="id" value="<?php echo $_GET['id'] ?>">
    <fieldset>
      <legend>Dane osobowe</legend>
      <label>
        Imię <input type="text" name="imie" value="<?php echo $osoba['imie'] ?>">
      </label>
      <label>
        Nazwisko <input type="text" name="nazwisko"  value="<?php echo $osoba['nazwisko'] ?>">
      </label>
      <br>
      Płeć:
      <label>
        <input type="radio" name="plec" value="k" <?php if ($osoba['plec'] == 'k' ) echo "checked" ?>> Kobieta
      </label>
      <label>
        <input type="radio" name="plec" value="m" <?php if ($osoba['plec'] == 'm') echo "checked" ?>> Mężczyzna
      </label>
    </fieldset>
    <br>
    Języki programowania:
    <?php
    
    $sth = $db->prepare(sprintf('select id, jezyk, (select \'checked\' from osoby_jezyki where osoba = %d and jezyk = jezyki.id) as wybrany
            from jezyki order by jezyk', $osoba['id']));
    $sth->execute();
    while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
      echo sprintf('<label><input type="checkbox" name="jp[]" value="%d" %s>%s</label>', 
        $row['id'], $row['wybrany'], $row['jezyk']), "\n";
    }
    
    ?>
    <p>
    <label>
    Kraj:<br>
    <select name="kraj[]" size=10 multiple>
    <?php

    $sth1 = $db->prepare('select id, kontynent from kontynenty order by kontynent');
    $sth1->execute();
    while ($row1 = $sth1->fetch(PDO::FETCH_ASSOC)) {
      echo sprintf('<optgroup label="%s">', $row1['kontynent']), "\n";
      $sth2 = $db->prepare(sprintf('select id, kraj, (select \'selected\' from osoby_kraje where osoba = %d and kraj = kraje.id) as wybrany
            from kraje where kontynent = %d order by kraj', $osoba['id'], $row1['id']));
      $sth2->execute();
      while ($row2 = $sth2->fetch(PDO::FETCH_ASSOC)) {
        echo sprintf('<option value="%d" %s>%s</option>', $row2['id'], $row2['wybrany'], $row2['kraj']), "\n";
      }
      echo sprintf('</optgroup>'), "\n";
    }
    
    ?>
    </select>
    </label>
    <p>
    Uwagi:<br>
    <textarea name="uwagi" cols=60 rows=10><?php echo $osoba['uwagi'] ?></textarea>
    <p>
    <input type="reset" value="Wyczyść">
    <input type="submit" value="Zapisz">
  </form>

  </body>
</html> 
